Upgrading Host Integrator from 7.1.x or Higher to 7.x on UNIX/Linux

  • 7021586
  • 13-Oct-2011
  • 11-Mar-2018

Environment

Verastream Host Integrator version 7.1 SP1 or higher

Situation

This technical note describes how to migrate Verastream Host Integrator (VHI) from version 7.1 or higher to a later VHI version in a Linux or Solaris environment.

Note: If you are upgrading from version 6.6 or earlier, see KB 7021551 instead. If you are upgrading from version 7.0, see KB 7021582 instead.

Resolution

Follow the steps below to upgrade Verastream Host Integrator Server Kit from version 7.1.221 or higher to version 7.1.1142 or higher on a UNIX/Linux system.

Note: Automated upgrade is supported by the installer when upgrading from version 7.1.221 or higher. It is no longer necessary to manually uninstall the previous version.

  1. In a multiple-server installation environment (with management server failover cluster, as described in KB 7021563), we recommend that you stop services on all servers before proceeding.
  2. In your existing installation, if certain configuration files were manually edited, the custom changes will need to be manually migrated. Examine the date/time stamp of the following files and, if any file is newer than other installed files, make a backup copy (outside the installation folder, to be used later in step 8):
    • (Version 7.1.221 only:) Web service SOAP stack configuration: service-ctx.xml file in the /opt/attachmate/verastream/hostintegrator/lib/container/services/ws/META-INF directory
    • JVM configuration files in the /opt/attachmate/verastream/hostintegrator/etc directory:
- sesssrvr.conf (session server script server and SOAP stack)
- logmgr.conf (Log Manager for session server)
- vhi.conf (default Java location for the above components)
    • Management server JVM configuration: container.conf file in the /opt/attachmate/verastream/managementserver/conf folder.
    • Host Emulator JVM configuration: container.conf file in the /opt/attachmate/verastream/hostintegrator/hostemulator/conf folder.
  1. If you are installing on IBM AIX or Linux on IBM System z, Java must be installed. See also KB 7021532. Note: Beginning in version 7.6, 64-bit JDK is required. For version 7.5.x and earlier, 32-bit JDK is required.
  2. Install version 7.1.1142 or higher by expanding the downloaded .tar file (with tar xvf) and running the resulting installer file (for example, sh linux/vhisrv-7.1.1142-prod-linux). See also the Installation Guide at http://support.microfocus.com/manuals/vhi.html.
  3. At the upgrade prompt, enter y.
    S O F T W A R E   U P G R A D E

Verastream Host Integrator version 7.1.221 has been found in /opt/attachmate/verastream.

Do you want to upgrade to version 7.1.1142? (y/n) [n]: _

  1. Accept the license agreement to proceed.
  2. After installation completes, to inspect or configure your server, run Administrative Console from Windows Server Kit or Development Kit. Note: The Windows and UNIX/Linux systems should run the same product version. For information about upgrading your Windows installation, see KB 7021581.
  3. Restore any custom configuration from step 2 above.

Note: Beginning in version 7.1.1142, the service-ctx.xml file is no longer used for customizing your web services configuration.

    1. If you backed up the service-ctx.xml file in step 2, examine its contents (in a text editor, or using the cat or more commands). If you previously set custom values for any of the following properties, re-configure them in the Administrative Console application.
      Description
      Property in Versions 7.0.961 through 7.1.221
      Default
      WS-Resource and WS-Addressing
      wsResourceEnabled *
      true (commented out)
      ExecuteSQLStatement web method
      executeSqlStatementEnabled
      true (commented out)
      processString web method
      processStringEnabled
      true (commented out)
      Milliseconds to wait for session server to return from table procedure
      methodTimeout **
      60000 (commented out)
      Minutes before session server destroys suspended sessions (applicable using WS-Resource stateful web services)
      suspendTimeout *
      60 (commented out)
*Supported in version 7.1.221 only.
**Supported in versions 7.0.982 through 7.1.222 only.
    1. If you need to set custom (non-default) values for any of the following, modify the appropriate file in the /opt/attachmate/verastream/hostintegrator/sesssrvr/services/ws/META-INF directory.
      Description
      Property in Versions 7.0.961 through 7.1.221
      Default
      Configuration file in Version 7.1.1142 or higher
      HTTP web service port
      hostPort
      9680
      service-cfg.xml
      HTTPS web service port
      secureHostPort
      9681
      service-cfg.xml
      Session server load distribution domain
      domainName
      (commented out)
      plugin-cfg.xml
      Non-local management server for load distribution domain
      serverName
      localhost (commented out)
      plugin-cfg.xml
      HTTP basic authentication for client user authorization without WS-Security
      authnMetadata and authnService
      False
      service-cfg.xml
    1. If you backed up any JVM configuration files in step 2, edit the installed default *.conf files to merge in your custom modifications. After saving changes, restart the appropriate service(s) as described in KB 7021352.

Web Services

After upgrading to version 7.5 SP1 or higher, you may need to re-import the VHI web services WSDL in your SOAP tool, due to changes in the target namespace (as described in KB 7021323) and changed default for WS-Addressing and WS-Resource (see also KB 7021336).

Web Builder Projects

If you had previously separately installed Apache Tomcat/Axis to run a Java web application (or Java web service) project generated in Web Builder version 7.1.x, this is no longer necessary beginning in version 7.5, as VHI Web Server is included in UNIX Server Kit.

For information about deploying new HTML 5 web application projects to Server Kit 7.5 on UNIX/Linux, see http://docs2.attachmate.com/verastream/vhi/7.5/en/topic/com.attachmate.vhi.webbuilder.help/html/reference/html5_deploy_apps.xhtml.

For information about deploying existing (pre-7.5 "legacy") Java projects to Server Kit 7.5 on UNIX/Linux, see http://docs2.attachmate.com/verastream/vhi/7.5/en/topic/com.attachmate.vhi.webbuilder.help/html/reference/wb_implement_apps.xhtml.

Upgrade Issue on AIX Platform

On AIX, installing version 7.6 over a previous version may result in session server core dumps (caused by management cluster certificates originally generated by version 7.1.x).

To avoid this issue, upgrade to version 7.6 Service Pack 1 instead (or uninstall the previous version before installing version 7.6 on AIX).

To resolve this issue after upgrading, reset the management server as described in KB 7021570.

Additional Information

Legacy KB ID

This article was originally published as Attachmate Technical Note 10129.